LINUX.ORG.RU

собрать frontend не получается

 , , ,


0

1

помогите пожалуйста собрать frontend и запустить приложение. есть проект на angularjs. для его сборки используются: gulpfile.js, bower.json, package.json. под виндой из командной строки webstorm-а проект собирается и запускается без проблем. но я хотел бы собрать его на linux mint 17. для этого я установил nodejs, bower, gulp, npm:

kalinin@kalinin ~ $ node -v
v0.10.35
kalinin@kalinin ~ $ bower -v
1.7.9
kalinin@kalinin ~ $ gulp -v
[20:57:58] CLI version 3.9.1
kalinin@kalinin ~ $ npm -v
1.4.28

затем я запускаю команду, которая подтягивает зависимости и собирает проект:

npm i
но консоль выводит следующее сообщение об ошибке:
npm ERR! angular-campus-app@0.0.1 postinstall: `bower i && gulp build && gulp serve`
npm ERR! Exit status 8
npm ERR! 
npm ERR! Failed at the angular-campus-app@0.0.1 postinstall script.
npm ERR! This is most likely a problem with the angular-campus-app package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     bower i && gulp build && gulp serve
npm ERR! You can get their info via:
npm ERR!     npm owner ls angular-campus-app
npm ERR! There is likely additional logging output above.
npm ERR! System Linux 3.13.0-24-generic
npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "i"
npm ERR! cwd /var/www/html/EP/projects/test1
npm ERR! node -v v0.10.35
npm ERR! npm -v 1.4.28
npm ERR! code ELIFECYCLE
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /var/www/html/EP/projects/test1/npm-debug.log
npm ERR! not ok code 0

не понимаю что ещё требуется доустановить и вообще сделать

UPD: при этом все зависимости подтянулись. это видно по тому, что создались каталоги с build, node_modules

А логи ты читал? Английским же по консоли написано где доп информация об ошибке.

kardapoltsev ★★ ()

И для начала поставь более свежую ноду.

static_lab ★★★★★ ()
Ответ на: комментарий от kardapoltsev

написано, что это проблема не npm, а какого то angular-campus-app package. про таокой модуль гугл ничего не знает

prozaik ()
Ответ на: комментарий от static_lab

обновил ноду и проблема решилась. спасибо за совет

prozaik ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.